<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.sunxung.factoring.mapper.purchcontractmanagement.PurchContractSupplementInfoHistoryMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.sunxung.factoring.entity.purchcontractmanagement.PurchContractSupplementInfoHistory">
        <result column="id" property="id" />
        <result column="user_create" property="userCreate" />
        <result column="user_modified" property="userModified" />
        <result column="gmt_create" property="gmtCreate" />
        <result column="gmt_modified" property="gmtModified" />
        <result column="purch_contract_management_id" property="purchContractManagementId" />
        <result column="supplement_contract_number" property="supplementContractNumber" />
        <result column="price_rule_detail" property="priceRuleDetail" />
        <result column="contract_effect_date" property="contractEffectDate" />
    </resultMap>

</mapper>
